org.modeshape.sequencer.classfile

## Class ClassFileSequencerLexicon

- java.lang.Object
- - org.modeshape.sequencer.classfile.ClassFileSequencerLexicon

-     public class ClassFileSequencerLexicon
      extends Object

  The namespace and property names used within a `ClassFileSequencer` to store internal information.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassFileSequencerLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABSTRACT`
    `static String` | `ANNOTATION`
    `static String` | `ANNOTATION_MEMBER`
    `static String` | `ANNOTATIONS`
    `static String` | `CLASS`
    `static String` | `CONSTRUCTORS`
    `static String` | `ENUM`
    `static String` | `ENUM_VALUES`
    `static String` | `FIELD`
    `static String` | `FIELDS`
    `static String` | `FINAL`
    `static String` | `IMPORTS`
    `static String` | `INTERFACE`
    `static String` | `INTERFACES`
    `static String` | `METHOD`
    `static String` | `METHOD_PARAMETERS`
    `static String` | `METHODS`
    `static String` | `NAME`
    `static String` | `NATIVE`
    `static String` | `PACKAGE`
    `static String` | `PARAMETER`
    `static String` | `PARAMETERS`
    `static String` | `RETURN_TYPE_CLASS_NAME`
    `static String` | `SEQUENCED_DATE`
    `static String` | `STATIC`
    `static String` | `STRICT_FP`
    `static String` | `SUPER_CLASS_NAME`
    `static String` | `SYNCHRONIZED`
    `static String` | `TRANSIENT`
    `static String` | `TYPE_CLASS_NAME`
    `static String` | `VALUE`
    `static String` | `VISIBILITY`
    `static String` | `VOLATILE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ABSTRACT

          public static final String ABSTRACT

      See Also:
        Constant Field Values

    - #### ANNOTATION

          public static final String ANNOTATION

      See Also:
        Constant Field Values

    - #### ANNOTATIONS

          public static final String ANNOTATIONS

      See Also:
        Constant Field Values

    - #### METHOD_PARAMETERS

          public static final String METHOD_PARAMETERS

      See Also:
        Constant Field Values

    - #### ANNOTATION_MEMBER

          public static final String ANNOTATION_MEMBER

      See Also:
        Constant Field Values

    - #### CLASS

          public static final String CLASS

      See Also:
        Constant Field Values

    - #### CONSTRUCTORS

          public static final String CONSTRUCTORS

      See Also:
        Constant Field Values

    - #### ENUM_VALUES

          public static final String ENUM_VALUES

      See Also:
        Constant Field Values

    - #### ENUM

          public static final String ENUM

      See Also:
        Constant Field Values

    - #### FIELD

          public static final String FIELD

      See Also:
        Constant Field Values

    - #### FIELDS

          public static final String FIELDS

      See Also:
        Constant Field Values

    - #### FINAL

          public static final String FINAL

      See Also:
        Constant Field Values

    - #### IMPORTS

          public static final String IMPORTS

      See Also:
        Constant Field Values

    - #### INTERFACE

          public static final String INTERFACE

      See Also:
        Constant Field Values

    - #### INTERFACES

          public static final String INTERFACES

      See Also:
        Constant Field Values

    - #### METHOD

          public static final String METHOD

      See Also:
        Constant Field Values

    - #### METHODS

          public static final String METHODS

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### NATIVE

          public static final String NATIVE

      See Also:
        Constant Field Values

    - #### PACKAGE

          public static final String PACKAGE

      See Also:
        Constant Field Values

    - #### PARAMETERS

          public static final String PARAMETERS

      See Also:
        Constant Field Values

    - #### PARAMETER

          public static final String PARAMETER

      See Also:
        Constant Field Values

    - #### RETURN_TYPE_CLASS_NAME

          public static final String RETURN_TYPE_CLASS_NAME

      See Also:
        Constant Field Values

    - #### SEQUENCED_DATE

          public static final String SEQUENCED_DATE

      See Also:
        Constant Field Values

    - #### STATIC

          public static final String STATIC

      See Also:
        Constant Field Values

    - #### STRICT_FP

          public static final String STRICT_FP

      See Also:
        Constant Field Values

    - #### SUPER_CLASS_NAME

          public static final String SUPER_CLASS_NAME

      See Also:
        Constant Field Values

    - #### SYNCHRONIZED

          public static final String SYNCHRONIZED

      See Also:
        Constant Field Values

    - #### TRANSIENT

          public static final String TRANSIENT

      See Also:
        Constant Field Values

    - #### TYPE_CLASS_NAME

          public static final String TYPE_CLASS_NAME

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### VISIBILITY

          public static final String VISIBILITY

      See Also:
        Constant Field Values

    - #### VOLATILE

          public static final String VOLATILE

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.